﻿using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
namespace LightSwitchApplication
{
    public partial class EditableScheduleViewApptsGrid
    {
        RadScheduleViewControl rsvc;

        partial void EditableScheduleViewApptsGrid_Created()
        {
            var svControl = this.FindControl("SVControl");

            svControl.ControlAvailable += new EventHandler<ControlAvailableEventArgs>(svControl_ControlAvailable);
        }

        void svControl_ControlAvailable(object sender, ControlAvailableEventArgs e)
        {
            rsvc = e.Control as RadScheduleViewControl;
        }

        partial void ScheduleViewAppts_Loaded(bool succeeded)
        {
            if (succeeded)
            {
                rsvc.GetLSAppointments(this.ScheduleViewAppts.ToList<ScheduleViewAppt>());
            }
        }
    }
}
